# -*- rpm-spec -*-
# $Id: perl-IPChains,v 1.2 2002/11/15 11:47:39 grigory Exp $

%define realname    IPChains

Name: perl-%realname
Version: 0.5
Release: ipl5mdk

Summary: Perl modules to manipulate linux firewall chains.

License: GPL or Artistic License
Group: System/Configuration/Networking
URL: http://www.x25.org/ipchains.html

Source: http://www.x25.org/%realname-current.tar.bz2
Patch0: %realname-perl-pollute.patch.bz2
Patch1: %realname-ipfw.patch

AutoReqProv: perl, yes
Requires:    perl 

# Automatically added by buildreq on Mon Jul 23 2001
BuildRequires: perl-devel

%description
This module acts as an interface to the ipchains(8) userspace utility
by Paul ``Rusty'' Russell (http://www.rustcorp.com/linux/ipchains/).
It attempts to include all the functionality of the original code with
a simplified user interface via Perl. In addition, plans for log
parsing facilities, an integrated interface to ipmasqadm, and possibly
traffic shaping are slated for up and coming versions.

%prep
%setup -q -n %realname-%version
%patch0 -p1
%patch1 -p1

%build
%perl_vendor_build

%install
%perl_vendor_install
     
%files
%doc README* Changes
%dir %perl_vendor_autolib/%realname
%perl_vendor_archlib/*.pm
%perl_vendor_autolib/%realname/*
%perl_vendor_man3dir/*

%changelog
* Fri Nov 15 2002 Grigory Milev <week@altlinux.ru> 0.5-ipl5mdk
- rebuild with new perl-5.8.0

* Mon Jul 23 2001 Stanislav Ievlev <inger@altlinux.ru> 0.5-ipl4mdk
- Rebuilt with new perl

* Mon Jun 25 2001 Konstantin Volckov <goldhead@altlinux.ru> 0.5-ipl3mdk
- Rebuilt with perl-5.6.1
- Fixed release number

* Fri Jun 13 2001 Grigory Milev <week@altlinux.ru> 0.5-alt1
- Rewrite spec for compatible with new police

* Wed Jan 17 2001 AEN <aen@logic.ru>
- RE adaptation
- cleanup spec

* Wed Oct 11 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.5-1mdk
- first mandrake release
- patch to compile with perl 5.6.0 (perl pollute)
- use of installmandir variables

* Wed Dec 15 1999  Francis J. Lacoste <francis.lacoste@iNsu.COM> 
  [0.5-2i]
- Added new Provides: perl semantics.
- Updated automatic file list generation.

* Mon Jul 05 1999  Francis J. Lacoste <francis.lacoste@iNsu.COM> 
  [0.5-1i]
- Updated to version 0.5.

* Mon Jul 05 1999  Francis J. Lacoste <francis.lacoste@iNsu.COM> 
  [0.4-2i]
- Bugfixes.

* Sat May 15 1999  Francis J. Lacoste <francis@iNsu.COM> 
  [0.4-1i]
- Packaged for iNs/linux.

